<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE" />
        <meta name="viewport" content="width=1000"/>
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
        <meta http-equiv="x-ua-compatible" content="IE=Edge">
        <meta name="description" content="Page Description" /> 
        <!-- Chrome, Firefox OS, Opera and Vivaldi -->
        <meta name="theme-color" content="#000">
        <!-- Windows Phone -->
        <meta name="msapplication-navbutton-color" content="#000">
        <!-- iOS Safari -->
        <meta name="apple-mobile-web-app-status-bar-style" content="#000">
        <title>project</title>
        <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900" rel="stylesheet">
        <link href="css/screen.css" rel="stylesheet" />
        <link href="css/responsive.css" rel="stylesheet" />
        <script src="https://code.jquery.com/jquery-3.2.1.js"></script>
        <!--[if IE]> <script src="js/html5shiv.js"></script> <![endif]-->
        <script src="js/placeholder.js"></script>
        <script src="js/browser-selector.js"></script>
    </head>
    <body>
        <!-- FULL WRAPPER-->
        <div id="full_wrapper">
            <div class="main cf">
            </div>
            <div class="push"><!-- --></div>
        </div>
        <!-- FOOTER -->
        <footer>
            <div class="surgical_wrap">
                <div class="surgical_content cf">
                    <div class="left">
                        <h2>NewGen Surgical is <br> Smart Sustainable <br>Design <sup>&#8482;</sup></h2>
                    </div>
                    <div class="right">
                        <div class="second circle" data-thickness="70" data-fill="{&quot;color&quot;: &quot;rgba(0, 0, 0, 0)&quot;}" >
                        </div>
                        <div class="pie_wrap">
                            <ul class='pie'>
                                <li class='slice'>
                                    <div class="icon"><img src="images/site/icon1.png" alt=""></div>
                                </li>
                                <li class='slice'>
                                    <div class="icon"><img src="images/site/icon2.png" alt=""></div>
                                </li>
                                <li class='slice'>
                                    <div class="icon"><img src="images/site/icon3.png" alt=""></div>
                                </li>
                            </ul>
                        </div>
                        <div class="arc_text">
                            <h2 class="t_1">Sustainability</h2>
                            <h2 class="t_2">Economic Value</h2>
                            <h2 class="t_3">Performance</h2>
                        </div>
                    </div>
                </div>
            </div>
        </footer>
        <script src="js/circle-progress.js"></script>
        <script src="js/jquery.arctext.js"></script>
        <script>            

            /* on scroll animation  */
            (function($) {
                $.fn.visible = function(partial) {
                    var $t            = $(this),
                        $w            = $(window),
                        viewTop       = $w.scrollTop(),
                        viewBottom    = viewTop + $w.height(),
                        _top          = $t.offset().top,
                        _bottom       = _top + $t.height(),
                        compareTop    = partial === true ? _bottom : _top,
                        compareBottom = partial === true ? _top : _bottom;

                    return ((compareBottom <= viewBottom) && (compareTop >= viewTop));
                };
            })(jQuery);
            var win = $(window);

            var allMods = $(".surgical_content .left");
            var allMods1 = $(".pie");
            var allMods2 = $(".pie .slice");
            var allMods3 = $(".surgical_content .right");
            var allMods4 = $(".surgical_content .right .arc_text h2");
            var allMods5 = $(".pie_wrap");


            win.scroll(function(event) {
                allMods.each(function(i, el) {
                    var el = $(el);
                    if (el.visible(true)) {
                        setTimeout(function(){
                            el.addClass("come-in"); 
                        },i*200);
                    } 
                });
            });

            win.scroll(function(event) {
                allMods1.each(function(i, el) {
                    var el = $(el);
                    if (el.visible(true)) {
                        setTimeout(function(){
                            el.addClass("come-in"); 
                        },i*200);
                    } 
                });
            });

            win.scroll(function(event) {
                allMods2.each(function(i, el) {
                    var el = $(el);
                    if (el.visible(true)) {
                        setTimeout(function(){
                            el.addClass("come-in"); 
                        },i*200);
                    } 
                });
            });

            win.scroll(function(event) {    
                allMods3.each(function(i, el) {
                    var el = $(el);
                    if (el.visible(true)) {
                        el.addClass("come-in");
                        if(!el.hasClass('done')){
                            if(el.parent().hasClass('surgical_content')){
                                el.addClass("done");
                            }
                            setTimeout(function(){
                                $('.second.circle').circleProgress({
                                    value: 0.8,
                                    size: 1000,
                                    startAngle: -Math.PI / 4 * 0.7,
                                    fill: {
                                        gradient: ["#0072A4", "#86C867"]
                                    },
                                    animation: {
                                        duration: 2000
                                    }
                                });
                            },3200)
                        }
                    }
                });
            });

            win.scroll(function(event) {
                allMods4.each(function(i, el) {
                    var el = $(el);
                    if (el.visible(true)) {
                        setTimeout(function(){
                            el.addClass("come-in"); 
                        },i*200);
                    } 
                });
            });
            win.scroll(function(event) {
                allMods5.each(function(i, el) {
                    var el = $(el);
                    if (el.visible(true)) {
                        setTimeout(function(){
                            el.addClass("come-in"); 
                        },i*200);
                    } 
                });
            });

            /*curverd text*/
            var $example4	= $('.surgical_content .right .arc_text h2').hide();            
            $example4.show().arctext({radius: 300});
        </script>
    </body>
</html>
